{% extends 'base_front.html.twig' %}



{% block section %}

        <div class="page">
            <div class="title-bet-view">
                <div class="title-bet-event">{{ event.name }}</div>
                <div class="title-description">Détails de l'évènement</div>
                <div class="description">{{ event.description }}</div>
            </div>
            <div class="container-bet-scrolling">
                <div class="container-bet">
                    {% for bet in sponsoredBets %}

                        {% set colors = bet.color|split(',') %}
                        {% set color1 = "" %}
                        {% set color2 = "" %}
                        {% set color3 = "" %}
                        {% set color4 = "" %}

                        {% for color in colors %}
                            {% if loop.index == 1 %}
                                {% set color1 = color %}
                            {% elseif loop.index == 2 %}
                                {% set color2 = color %}
                            {% elseif loop.index == 3 %}
                                {% set color3 = color %}
                            {% elseif loop.index == 4 %}
                                {% set color4 = color %}
                            {% endif %}
                        {% endfor %}


                    <div class="container-betChoices" style="background-color: {{ color1 }}">
                        <div class="logo-event">
                            <img class="logo" src="{{ asset('img/categories/' ~ bet.event_idEvent.categoryIdCategory.logo) }}"></img>
                            <div class="premium" style="color: {{ color3 }}">Premium</div>
                        </div>
                        <div class="informations">
                            <div class="date" style="color: {{ color4 }}">Le {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('d-m-Y') : '' }} à  {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('H:i:s') : '' }}</div> 
                            <a href="{{ path('app_profile_bet', {'id': bet.id}) }}" class="title-bet" style="color: {{ color4 }}">{{ bet.name }}</a>
                            <div class="categorie-bet" style="color: {{ color4 }}">{{ bet.event_idEvent.categoryIdCategory.name }}</div>
                        </div>
                        <div class="stake-container">
                        {% for betChoice in bet.betChoices %}
                        {# <div class="button-bet"> #}
                            <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="button-bet choice-button {% else %} href="{{ path('app_login') }}" class="button-bet choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}" style="background-color: {{ color2 }}" >
                                {% if color1 != "#E9FFF3" or color1 !="#E9FFF3" %}
                                    <div class="choix" style="color: {{ color1 }}">{{ betChoice.name }}</div>
                                    <div class="stake" style="color: {{ color1 }}">{{ betChoice.rating }}</div>
                                {% else %}
                                    <div class="choix">{{ betChoice.name }}</div>
                                    <div class="stake">{{ betChoice.rating }}</div>
                                {% endif %}
                            </a>
                        {% endfor %}
                        </div>
                    </div>
                    {% endfor %}
                </div>

                <div class="container-bet">
            {% for bet in normalBets %}
            <div class="container-betChoices">
                <div class="logo-event">
                    <img class="logo" src="{{ asset('img/categories/' ~ bet.event_idEvent.categoryIdCategory.logo) }}"></img>
                    {# <div class="premium">Premium</div> #}
                </div>
                <div class="informations">
                    <div class="date">Le {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('d-m-Y') : '' }} à  {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('H:i:s') : '' }}</div> 
                    <a href="{{ path('app_profile_bet', {'id': bet.id}) }}" class="title-bet">{{ bet.name }}</a>
                    <div class="categorie-bet">{{ bet.event_idEvent.categoryIdCategory.name }}</div>
                </div>
                <div class="stake-container">
                {% for betChoice in bet.betChoices %}
                {# <div class="button-bet"> #}
                    <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="button-bet choice-button {% else %} href="{{ path('app_login') }}" class="button-bet choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}">
                        <div class="choix">{{ betChoice.name }}</div>
                        <div class="stake">{{ betChoice.rating }}</div>
                    </a>
                {% endfor %}
                </div>
            </div>
            {% endfor %}
        </div>
            </div>
        </div>






{% endblock %}



